BEGIN ~ELMINCU~

IF ~PartyHasItem("CUMACE01")
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN DO ~TakePartyItem("CUMACE01")
SmallWait(5)
ForceSpell(LastTalkedToBy,EFFECT_ONLY)
SmallWait(5)
GiveItem("CUMACE02",LastTalkedToBy)
EscapeArea()
~ %UNSOLVED_JOURNAL% @20014 EXIT
END

IF ~~ THEN BEGIN 2
  SAY @5
  IF ~~ THEN DO ~TakePartyItem("CUMACE01")
SmallWait(5)
ForceSpell(LastTalkedToBy,EFFECT_ONLY)
SmallWait(5)
GiveItem("CUMACE02",LastTalkedToBy)
EscapeArea()
~ %UNSOLVED_JOURNAL% @20015 EXIT
END

IF ~!PartyHasItem("CUMACE01")
~ THEN BEGIN 3
  SAY @7
  IF ~~ THEN EXIT
END
